PHP Manual
Prev |  | Next

# pg_untrace

(PHP 4 >= 4.0.1, PHP 5)

pg_untrace -- Disable tracing of a PostgreSQL connection

## Description

bool pg_untrace ( [resource connection] )

Stop tracing started by pg_trace().

## Parameters

connection

  PostgreSQL database connection resource. When connection is not present, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

## Return Values

Always returns `TRUE`.

## Examples

Example 1. pg_untrace() example
`<?php $pgsql_conn = pg_connect("dbname=mark host=localhost"); if ($pgsql_conn) { pg_trace('/tmp/trace.log', 'w', $pgsql_conn); pg_query("SELECT 1"); pg_untrace($pgsql_conn); // Now tracing of backend communication is disabled } else { print pg_last_error($pgsql_conn); exit; } ?>`

## See Also

pg_trace()

Prev | Home | Next
pg_unescape_bytea | Up | pg_update